/**
 * This file is part of Graylog.
 *
 * Graylog is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Graylog is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Graylog.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.graylog2.rest.models.system.cluster.responses;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.google.auto.value.AutoValue;

import java.util.List;

@AutoValue
public abstract class NodeSummaryList {
    @JsonProperty
    public abstract List<NodeSummary> nodes();
    @JsonProperty
    public abstract int total();

    @JsonCreator
    public static NodeSummaryList create(@JsonProperty("nodes") List<NodeSummary> nodes,
                                         @JsonProperty("total") int total) {
        return new AutoValue_NodeSummaryList(nodes, total);
    }

    public static NodeSummaryList create(List<NodeSummary> nodes) {
        return new AutoValue_NodeSummaryList(nodes, nodes.size());
    }
}
